/*
 * Copyright 2024 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


//
// AUTOGENERATED
// DO NOT MODIFY
//

#include "resource/resource_ids.auto.h"
#include "services/normal/timeline/timeline_resources.h"

#include <stdint.h>

const uint16_t g_timeline_resources[][TimelineResourceSizeCount] = {
   [1] = { RESOURCE_ID_NOTIFICATION_GENERIC_TINY, RESOURCE_ID_NOTIFICATION_GENERIC_SMALL, RESOURCE_ID_NOTIFICATION_GENERIC_LARGE },
   [2] = { RESOURCE_ID_MISSED_CALL_TINY, RESOURCE_ID_MISSED_CALL_SMALL, RESOURCE_ID_MISSED_CALL_LARGE },
   [3] = { RESOURCE_ID_GENERIC_REMINDER_TINY, RESOURCE_ID_GENERIC_REMINDER_SMALL, RESOURCE_ID_GENERIC_REMINDER_LARGE },
   [4] = { RESOURCE_ID_GENERIC_PIN_TINY, RESOURCE_ID_GENERIC_PIN_SMALL, RESOURCE_ID_GENERIC_PIN_LARGE },
   [5] = { RESOURCE_ID_WHATSAPP_NOTIFICATION_TINY, RESOURCE_ID_WHATSAPP_NOTIFICATION_SMALL, RESOURCE_ID_WHATSAPP_NOTIFICATION_LARGE },
   [6] = { RESOURCE_ID_TWITTER_NOTIFICATION_TINY, RESOURCE_ID_TWITTER_NOTIFICATION_SMALL, RESOURCE_ID_TWITTER_NOTIFICATION_LARGE },
   [7] = { RESOURCE_ID_TELEGRAM_APP_TINY, RESOURCE_ID_TELEGRAM_APP_SMALL, RESOURCE_ID_TELEGRAM_APP_LARGE },
   [8] = { RESOURCE_ID_GOOGLE_HANGOUTS_NOTIFICATION_TINY, RESOURCE_ID_GOOGLE_HANGOUTS_NOTIFICATION_SMALL, RESOURCE_ID_GOOGLE_HANGOUTS_NOTIFICATION_LARGE },
   [9] = { RESOURCE_ID_GMAIL_NOTIFICATION_TINY, RESOURCE_ID_GMAIL_NOTIFICATION_SMALL, RESOURCE_ID_GMAIL_NOTIFICATION_LARGE },
   [10] = { RESOURCE_ID_FACEBOOK_MESSENGER_NOTIFICATION_TINY, RESOURCE_ID_FACEBOOK_MESSENGER_NOTIFICATION_SMALL, RESOURCE_ID_FACEBOOK_MESSENGER_NOTIFICATION_LARGE },
   [11] = { RESOURCE_ID_FACEBOOK_NOTIFICATION_TINY, RESOURCE_ID_FACEBOOK_NOTIFICATION_SMALL, RESOURCE_ID_FACEBOOK_NOTIFICATION_LARGE },
   [12] = { RESOURCE_ID_AUDIO_CASSETTE_TINY, RESOURCE_ID_AUDIO_CASSETTE_SMALL, RESOURCE_ID_AUDIO_CASSETTE_LARGE },
   [13] = { RESOURCE_ID_ALARM_CLOCK_TINY, RESOURCE_ID_ALARM_CLOCK_SMALL, RESOURCE_ID_ALARM_CLOCK_LARGE_STATIC },
   [14] = { RESOURCE_ID_GENERIC_WEATHER_TINY, RESOURCE_ID_GENERIC_WEATHER_SMALL, RESOURCE_ID_GENERIC_WEATHER_LARGE },
   [16] = { RESOURCE_ID_SUNNY_DAY_TINY, RESOURCE_ID_SUNNY_DAY_SMALL, RESOURCE_ID_SUNNY_DAY_LARGE },
   [17] = { RESOURCE_ID_GENERIC_SPORTS_TINY, RESOURCE_ID_GENERIC_SPORTS_SMALL, RESOURCE_ID_GENERIC_SPORTS_LARGE },
   [19] = { RESOURCE_ID_GENERIC_EMAIL_TINY, RESOURCE_ID_GENERIC_EMAIL_SMALL, RESOURCE_ID_GENERIC_EMAIL_LARGE },
   [20] = { RESOURCE_ID_AMERICAN_FOOTBALL_TINY, RESOURCE_ID_AMERICAN_FOOTBALL_SMALL, RESOURCE_ID_AMERICAN_FOOTBALL_LARGE },
   [21] = { RESOURCE_ID_TIMELINE_CALENDAR_TINY, RESOURCE_ID_TIMELINE_CALENDAR_SMALL, RESOURCE_ID_TIMELINE_CALENDAR_LARGE },
   [22] = { RESOURCE_ID_BASEBALL_GAME_TINY, RESOURCE_ID_BASEBALL_GAME_SMALL, RESOURCE_ID_BASEBALL_GAME_LARGE },
   [23] = { RESOURCE_ID_BIRTHDAY_EVENT_TINY, RESOURCE_ID_BIRTHDAY_EVENT_SMALL, RESOURCE_ID_BIRTHDAY_EVENT_LARGE },
   [24] = { RESOURCE_ID_CAR_RENTAL_TINY, RESOURCE_ID_CAR_RENTAL_SMALL, RESOURCE_ID_CAR_RENTAL_LARGE },
   [25] = { RESOURCE_ID_CLOUDY_DAY_TINY, RESOURCE_ID_CLOUDY_DAY_SMALL, RESOURCE_ID_CLOUDY_DAY_LARGE },
   [26] = { RESOURCE_ID_CRICKET_GAME_TINY, RESOURCE_ID_CRICKET_GAME_SMALL, RESOURCE_ID_CRICKET_GAME_LARGE },
   [27] = { RESOURCE_ID_DINNER_RESERVATION_TINY, RESOURCE_ID_DINNER_RESERVATION_SMALL, RESOURCE_ID_DINNER_RESERVATION_LARGE },
   [28] = { RESOURCE_ID_GENERIC_WARNING_TINY, RESOURCE_ID_GENERIC_WARNING_SMALL, RESOURCE_ID_GENERIC_WARNING_LARGE },
   [29] = { RESOURCE_ID_GLUCOSE_MONITOR_TINY, RESOURCE_ID_GLUCOSE_MONITOR_SMALL, RESOURCE_ID_GLUCOSE_MONITOR_LARGE },
   [30] = { RESOURCE_ID_HOCKEY_GAME_TINY, RESOURCE_ID_HOCKEY_GAME_SMALL, RESOURCE_ID_HOCKEY_GAME_LARGE },
   [31] = { RESOURCE_ID_HOTEL_RESERVATION_TINY, RESOURCE_ID_HOTEL_RESERVATION_SMALL, RESOURCE_ID_HOTEL_RESERVATION_LARGE },
   [32] = { RESOURCE_ID_LIGHT_RAIN_TINY, RESOURCE_ID_LIGHT_RAIN_SMALL, RESOURCE_ID_LIGHT_RAIN_LARGE },
   [33] = { RESOURCE_ID_LIGHT_SNOW_TINY, RESOURCE_ID_LIGHT_SNOW_SMALL, RESOURCE_ID_LIGHT_SNOW_LARGE },
   [34] = { RESOURCE_ID_MOVIE_EVENT_TINY, RESOURCE_ID_MOVIE_EVENT_SMALL, RESOURCE_ID_MOVIE_EVENT_LARGE },
   [35] = { RESOURCE_ID_MUSIC_EVENT_TINY, RESOURCE_ID_MUSIC_EVENT_SMALL, RESOURCE_ID_MUSIC_EVENT_LARGE },
   [36] = { RESOURCE_ID_NEWS_EVENT_TINY, RESOURCE_ID_NEWS_EVENT_SMALL, RESOURCE_ID_NEWS_EVENT_LARGE },
   [37] = { RESOURCE_ID_PARTLY_CLOUDY_TINY, RESOURCE_ID_PARTLY_CLOUDY_SMALL, RESOURCE_ID_PARTLY_CLOUDY_LARGE },
   [38] = { RESOURCE_ID_PAY_BILL_TINY, RESOURCE_ID_PAY_BILL_SMALL, RESOURCE_ID_PAY_BILL_LARGE },
   [39] = { RESOURCE_ID_RADIO_SHOW_TINY, RESOURCE_ID_RADIO_SHOW_SMALL, RESOURCE_ID_RADIO_SHOW_LARGE },
   [40] = { RESOURCE_ID_SCHEDULED_EVENT_TINY, RESOURCE_ID_SCHEDULED_EVENT_SMALL, RESOURCE_ID_SCHEDULED_EVENT_LARGE },
   [41] = { RESOURCE_ID_SOCCER_GAME_TINY, RESOURCE_ID_SOCCER_GAME_SMALL, RESOURCE_ID_SOCCER_GAME_LARGE },
   [42] = { RESOURCE_ID_STOCKS_EVENT_TINY, RESOURCE_ID_STOCKS_EVENT_SMALL, RESOURCE_ID_STOCKS_EVENT_LARGE },
   [43] = { RESOURCE_ID_RESULT_DELETED_TINY, RESOURCE_ID_RESULT_DELETED_SMALL, RESOURCE_ID_RESULT_DELETED_LARGE },
   [44] = { RESOURCE_ID_INVALID, RESOURCE_ID_CHECK_INTERNET_CONNECTION_SMALL, RESOURCE_ID_CHECK_INTERNET_CONNECTION_LARGE },
   [45] = { RESOURCE_ID_GENERIC_SMS_TINY, RESOURCE_ID_GENERIC_SMS_SMALL, RESOURCE_ID_GENERIC_SMS_LARGE },
   [46] = { RESOURCE_ID_INVALID, RESOURCE_ID_INVALID, RESOURCE_ID_RESULT_MUTE_LARGE },
   [47] = { RESOURCE_ID_RESULT_SENT_TINY, RESOURCE_ID_RESULT_SENT_SMALL, RESOURCE_ID_RESULT_SENT_LARGE },
   [48] = { RESOURCE_ID_INVALID, RESOURCE_ID_WATCH_DISCONNECTED_SMALL, RESOURCE_ID_WATCH_DISCONNECTED_LARGE },
   [49] = { RESOURCE_ID_DURING_PHONE_CALL_TINY, RESOURCE_ID_DURING_PHONE_CALL_SMALL, RESOURCE_ID_DURING_PHONE_CALL_LARGE },
   [50] = { RESOURCE_ID_TIDE_IS_HIGH_TINY, RESOURCE_ID_TIDE_IS_HIGH_SMALL, RESOURCE_ID_TIDE_IS_HIGH_LARGE },
   [51] = { RESOURCE_ID_RESULT_DISMISSED_TINY, RESOURCE_ID_RESULT_DISMISSED_SMALL, RESOURCE_ID_RESULT_DISMISSED_LARGE },
   [52] = { RESOURCE_ID_HEAVY_RAIN_TINY, RESOURCE_ID_HEAVY_RAIN_SMALL, RESOURCE_ID_HEAVY_RAIN_LARGE },
   [53] = { RESOURCE_ID_HEAVY_SNOW_TINY, RESOURCE_ID_HEAVY_SNOW_SMALL, RESOURCE_ID_HEAVY_SNOW_LARGE },
   [54] = { RESOURCE_ID_SCHEDULED_FLIGHT_TINY, RESOURCE_ID_SCHEDULED_FLIGHT_SMALL, RESOURCE_ID_SCHEDULED_FLIGHT_LARGE },
   [55] = { RESOURCE_ID_GENERIC_CONFIRMATION_TINY, RESOURCE_ID_GENERIC_CONFIRMATION_SMALL, RESOURCE_ID_GENERIC_CONFIRMATION_LARGE },
   [56] = { RESOURCE_ID_DAY_SEPARATOR_TINY, RESOURCE_ID_DAY_SEPARATOR_SMALL, RESOURCE_ID_DAY_SEPARATOR_LARGE },
   [57] = { RESOURCE_ID_INVALID, RESOURCE_ID_INVALID, RESOURCE_ID_NO_EVENTS_LARGE },
   [58] = { RESOURCE_ID_BLACKBERRY_MESSENGER_NOTIFICATION_TINY, RESOURCE_ID_INVALID, RESOURCE_ID_BLACKBERRY_MESSENGER_NOTIFICATION_LARGE },
   [59] = { RESOURCE_ID_INSTAGRAM_NOTIFICATION_TINY, RESOURCE_ID_INSTAGRAM_NOTIFICATION_SMALL, RESOURCE_ID_INSTAGRAM_NOTIFICATION_LARGE },
   [60] = { RESOURCE_ID_MAILBOX_NOTIFICATION_TINY, RESOURCE_ID_MAILBOX_NOTIFICATION_SMALL, RESOURCE_ID_MAILBOX_NOTIFICATION_LARGE },
   [61] = { RESOURCE_ID_GOOGLE_INBOX_NOTIFICATION_TINY, RESOURCE_ID_GOOGLE_INBOX_NOTIFICATION_SMALL, RESOURCE_ID_GOOGLE_INBOX_NOTIFICATION_LARGE },
   [62] = { RESOURCE_ID_RESULT_FAILED_TINY, RESOURCE_ID_RESULT_FAILED_SMALL, RESOURCE_ID_RESULT_FAILED_LARGE },
   [63] = { RESOURCE_ID_GENERIC_QUESTION_TINY, RESOURCE_ID_GENERIC_QUESTION_SMALL, RESOURCE_ID_GENERIC_QUESTION_LARGE },
   [64] = { RESOURCE_ID_NOTIFICATION_OUTLOOK_TINY, RESOURCE_ID_NOTIFICATION_OUTLOOK_SMALL, RESOURCE_ID_NOTIFICATION_OUTLOOK_LARGE },
   [65] = { RESOURCE_ID_RAINING_AND_SNOWING_TINY, RESOURCE_ID_RAINING_AND_SNOWING_SMALL, RESOURCE_ID_RAINING_AND_SNOWING_LARGE },
   [66] = { RESOURCE_ID_REACHED_FITNESS_GOAL_TINY, RESOURCE_ID_REACHED_FITNESS_GOAL_SMALL, RESOURCE_ID_REACHED_FITNESS_GOAL_LARGE },
   [67] = { RESOURCE_ID_NOTIFICATION_LINE_TINY, RESOURCE_ID_NOTIFICATION_LINE_SMALL, RESOURCE_ID_NOTIFICATION_LINE_LARGE },
   [68] = { RESOURCE_ID_NOTIFICATION_SKYPE_TINY, RESOURCE_ID_NOTIFICATION_SKYPE_SMALL, RESOURCE_ID_NOTIFICATION_SKYPE_LARGE },
   [69] = { RESOURCE_ID_NOTIFICATION_SNAPCHAT_TINY, RESOURCE_ID_NOTIFICATION_SNAPCHAT_SMALL, RESOURCE_ID_NOTIFICATION_SNAPCHAT_LARGE },
   [70] = { RESOURCE_ID_NOTIFICATION_VIBER_TINY, RESOURCE_ID_NOTIFICATION_VIBER_SMALL, RESOURCE_ID_NOTIFICATION_VIBER_LARGE },
   [71] = { RESOURCE_ID_NOTIFICATION_WECHAT_TINY, RESOURCE_ID_NOTIFICATION_WECHAT_SMALL, RESOURCE_ID_NOTIFICATION_WECHAT_LARGE },
   [72] = { RESOURCE_ID_NOTIFICATION_YAHOO_MAIL_TINY, RESOURCE_ID_NOTIFICATION_YAHOO_MAIL_SMALL, RESOURCE_ID_NOTIFICATION_YAHOO_MAIL_LARGE },
   [73] = { RESOURCE_ID_TV_SHOW_TINY, RESOURCE_ID_TV_SHOW_SMALL, RESOURCE_ID_TV_SHOW_LARGE },
   [74] = { RESOURCE_ID_BASKETBALL_TINY, RESOURCE_ID_BASKETBALL_SMALL, RESOURCE_ID_BASKETBALL_LARGE },
   [75] = { RESOURCE_ID_DISMISSED_PHONE_CALL_TINY, RESOURCE_ID_DISMISSED_PHONE_CALL_SMALL, RESOURCE_ID_DISMISSED_PHONE_CALL_LARGE },
   [76] = { RESOURCE_ID_NOTIFICATION_GOOGLE_MESSENGER_TINY, RESOURCE_ID_NOTIFICATION_GOOGLE_MESSENGER_SMALL, RESOURCE_ID_NOTIFICATION_GOOGLE_MESSENGER_LARGE },
   [77] = { RESOURCE_ID_NOTIFICATION_HIPCHAT_TINY, RESOURCE_ID_NOTIFICATION_HIPCHAT_SMALL, RESOURCE_ID_NOTIFICATION_HIPCHAT_LARGE },
   [78] = { RESOURCE_ID_INCOMING_PHONE_CALL_TINY, RESOURCE_ID_INCOMING_PHONE_CALL_SMALL, RESOURCE_ID_INCOMING_PHONE_CALL_LARGE },
   [79] = { RESOURCE_ID_NOTIFICATION_KAKAOTALK_TINY, RESOURCE_ID_NOTIFICATION_KAKAOTALK_SMALL, RESOURCE_ID_NOTIFICATION_KAKAOTALK_LARGE },
   [80] = { RESOURCE_ID_NOTIFICATION_KIK_TINY, RESOURCE_ID_NOTIFICATION_KIK_SMALL, RESOURCE_ID_NOTIFICATION_KIK_LARGE },
   [81] = { RESOURCE_ID_NOTIFICATION_LIGHTHOUSE_TINY, RESOURCE_ID_NOTIFICATION_LIGHTHOUSE_SMALL, RESOURCE_ID_NOTIFICATION_LIGHTHOUSE_LARGE },
   [82] = { RESOURCE_ID_LOCATION_TINY, RESOURCE_ID_LOCATION_SMALL, RESOURCE_ID_LOCATION_LARGE },
   [83] = { RESOURCE_ID_SETTINGS_TINY, RESOURCE_ID_SETTINGS_SMALL, RESOURCE_ID_SETTINGS_LARGE },
   [84] = { RESOURCE_ID_SUNRISE_TINY, RESOURCE_ID_SUNRISE_SMALL, RESOURCE_ID_SUNRISE_LARGE },
   [85] = { RESOURCE_ID_SUNSET_TINY, RESOURCE_ID_SUNSET_SMALL, RESOURCE_ID_SUNSET_LARGE },
   [86] = { RESOURCE_ID_INVALID, RESOURCE_ID_INVALID, RESOURCE_ID_RESULT_UNMUTE_LARGE },
   [94] = { RESOURCE_ID_INVALID, RESOURCE_ID_INVALID, RESOURCE_ID_RESULT_UNMUTE_LARGE },
   [95] = { RESOURCE_ID_INVALID, RESOURCE_ID_INVALID, RESOURCE_ID_DURING_PHONE_CALL_CENTERED_LARGE },
   [96] = { RESOURCE_ID_TIMELINE_CALENDAR_TINY, RESOURCE_ID_TIMELINE_EMPTY_CALENDAR_SMALL, RESOURCE_ID_TIMELINE_CALENDAR_LARGE },
   [97] = { RESOURCE_ID_INVALID, RESOURCE_ID_THUMBS_UP_SMALL, RESOURCE_ID_THUMBS_UP_LARGE },
   [98] = { RESOURCE_ID_INVALID, RESOURCE_ID_ARROW_UP_SMALL, RESOURCE_ID_INVALID },
   [99] = { RESOURCE_ID_INVALID, RESOURCE_ID_ARROW_DOWN_SMALL, RESOURCE_ID_INVALID },
   [100] = { RESOURCE_ID_ACTIVITY_TINY, RESOURCE_ID_ACTIVITY_SMALL, RESOURCE_ID_ACTIVITY_LARGE },
   [101] = { RESOURCE_ID_SLEEP_TINY, RESOURCE_ID_SLEEP_SMALL, RESOURCE_ID_SLEEP_LARGE },
   [102] = { RESOURCE_ID_INVALID, RESOURCE_ID_INVALID, RESOURCE_ID_REWARD_BAD_LARGE },
   [103] = { RESOURCE_ID_INVALID, RESOURCE_ID_INVALID, RESOURCE_ID_REWARD_GOOD_LARGE },
   [104] = { RESOURCE_ID_INVALID, RESOURCE_ID_INVALID, RESOURCE_ID_REWARD_AVERAGE_LARGE },
   [105] = { RESOURCE_ID_CALORIES_TINY, RESOURCE_ID_INVALID, RESOURCE_ID_INVALID },
   [106] = { RESOURCE_ID_DISTANCE_TINY, RESOURCE_ID_INVALID, RESOURCE_ID_INVALID },
   [107] = { RESOURCE_ID_DURATION_TINY, RESOURCE_ID_INVALID, RESOURCE_ID_INVALID },
   [108] = { RESOURCE_ID_PACE_TINY, RESOURCE_ID_INVALID, RESOURCE_ID_INVALID },
   [109] = { RESOURCE_ID_RUN_TINY, RESOURCE_ID_INVALID, RESOURCE_ID_RUN_LARGE },
   [110] = { RESOURCE_ID_NOTIFICATION_FACETIME_TINY, RESOURCE_ID_NOTIFICATION_FACETIME_SMALL, RESOURCE_ID_NOTIFICATION_FACETIME_LARGE },
   [111] = { RESOURCE_ID_NOTIFICATION_AMAZON_TINY, RESOURCE_ID_NOTIFICATION_AMAZON_SMALL, RESOURCE_ID_NOTIFICATION_AMAZON_LARGE },
   [112] = { RESOURCE_ID_NOTIFICATION_GOOGLE_MAPS_TINY, RESOURCE_ID_NOTIFICATION_GOOGLE_MAPS_SMALL, RESOURCE_ID_NOTIFICATION_GOOGLE_MAPS_LARGE },
   [113] = { RESOURCE_ID_NOTIFICATION_GOOGLE_PHOTOS_TINY, RESOURCE_ID_NOTIFICATION_GOOGLE_PHOTOS_SMALL, RESOURCE_ID_NOTIFICATION_GOOGLE_PHOTOS_LARGE },
   [114] = { RESOURCE_ID_NOTIFICATION_IOS_PHOTOS_TINY, RESOURCE_ID_NOTIFICATION_IOS_PHOTOS_SMALL, RESOURCE_ID_NOTIFICATION_IOS_PHOTOS_LARGE },
   [115] = { RESOURCE_ID_NOTIFICATION_LINKEDIN_TINY, RESOURCE_ID_NOTIFICATION_LINKEDIN_SMALL, RESOURCE_ID_NOTIFICATION_LINKEDIN_LARGE },
   [116] = { RESOURCE_ID_NOTIFICATION_SLACK_TINY, RESOURCE_ID_NOTIFICATION_SLACK_SMALL, RESOURCE_ID_NOTIFICATION_SLACK_LARGE },
   [117] = { RESOURCE_ID_SMART_ALARM_TINY, RESOURCE_ID_INVALID, RESOURCE_ID_INVALID },
   [118] = { RESOURCE_ID_HEART_TINY, RESOURCE_ID_HEART_SMALL, RESOURCE_ID_HEART_LARGE },
   [119] = { RESOURCE_ID_BLE_HRM_SHARING_TINY, RESOURCE_ID_BLE_HRM_SHARING_SMALL, RESOURCE_ID_BLE_HRM_SHARING_LARGE },
};
